local request = require 'request'
local response = require 'response'
local helper = require 'helper'

local request_uri
local response_type
local domain
local result
local err
local red = helper.redis.connect()

request_uri = helper.parseURL()
if type(request_uri) ~= "table" or table.getn(request_uri) < 2 then
	response.quit(ngx.HTTP_BAD_REQUEST)
	return
end

local response_type = request_uri[2]
if not response.isValidResponseType(response_type) then
	response.quit(ngx.HTTP_BAD_REQUEST)
	return
end

local data = request.getPostData()
if data == nil or data['email'] == nil then
	response.quit(ngx.HTTP_BAD_REQUEST)
	return
end

domain = helper.getDomain(data['email'])
if not domain then
	response.quit(ngx.HTTP_BAD_REQUEST)
	return
end

result = helper.redis.checkDomain(red, 'disposable', domain)

response.createResponse(response_type, data['email'], domain, result)
